package cn.iocoder.yudao.module.llm.enums;

import lombok.Getter;

/**
 * @Description 知识库文件上传状态
 */
@Getter
public enum KnowledgeStatusEnum {

    /**
     * 未上传
     */
    NOT_UPLOADED(0, "未上传"),

    /**
     * 上传中
     */
    UPLOADING(1, "上传中"),

    /**
     * 上传成功
     */
    UPLOAD_SUCCESS(2, "上传成功"),

    /**
     * 上传失败
     */
    UPLOAD_FAILED(3, "上传失败");

    /**
     * 状态码
     */
    private final Integer status;

    /**
     * 状态名称
     */
    private final String name;

    /**
     * 构造函数
     *
     * @param status 状态码
     * @param name   状态名称
     */
    KnowledgeStatusEnum (Integer status, String name) {
        this.status = status;
        this.name = name;
    }

}
